Bug 1149995 - Shared libraries missing source level debug info
Shared libraries missing source level debug info
Status: RESOLVED FIXED
: 1150918 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Richard Biener
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-09 10:32 UTC by Andreas Schwab
Modified: 2022-03-22 13:01 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
patch for GCC (1.70 KB, patch)
2019-09-09 11:55 UTC, Richard Biener
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schwab 2019-09-09 10:32:23 UTC
Probably due to LTO the debuginfo of shared libaries is broken, for example for libbfd.
Comment 1 Richard Biener 2019-09-09 11:05:45 UTC
Confirmed.  Also libcaca2 but not others.  The weird thing is that there _is_
debuginfo but only the early part, and no debug info from the ltrans units at all...

Ah, -g is not taken from the compile-step, so all links not done with explicit -g end up without debuginfo (I think there's a bug about that).

We used to have code in lto-wrapper recognizing -g0 but that went away with
no longer partially linking the early debug data (but it needed explicit -g0
at link-time).
Comment 2 Martin Liška 2019-09-09 11:14:03 UTC
Note that current rpm also expands %build_ldflags
into export LD_FLAGS=...
So we can append -g to %build_ldflags if _build_create_debug is set?
Comment 3 Richard Biener 2019-09-09 11:55:30 UTC
Created attachment 817400 [details]
patch for GCC

Playing with this one on the GCC side.  See gcc-patches posting for details.
Comment 4 Swamp Workflow Management 2019-09-11 12:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1149995) was mentioned in
https://build.opensuse.org/request/show/730114 Factory / gcc9
Comment 5 Richard Biener 2019-09-18 07:57:06 UTC
*** Bug 1150918 has been marked as a duplicate of this bug. ***
Comment 6 Swamp Workflow Management 2019-09-18 12:00:14 UTC
This is an autogenerated message for OBS integration:
This bug (1149995) was mentioned in
https://build.opensuse.org/request/show/731720 Factory / gcc9
Comment 8 Swamp Workflow Management 2020-05-11 09:20:22 UTC
SUSE-RU-2020:1226-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1149995,1152590,1167898
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    gcc9-9.3.1+git1296-1.6.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    gcc9-9.3.1+git1296-1.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    gcc9-9.3.1+git1296-1.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-05-18 19:16:53 UTC
SUSE-RU-2020:1329-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1149995,1152590,1167898
CVE References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE OpenStack Cloud 8 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE OpenStack Cloud 7 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP5 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP4 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP3-BCL (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Linux Enterprise Module for Toolchain 12 (src):    gcc9-9.3.1+git1296-1.7.2
SUSE Enterprise Storage 5 (src):    gcc9-9.3.1+git1296-1.7.2
HPE Helion Openstack 8 (src):    gcc9-9.3.1+git1296-1.7.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-05-26 10:14:32 UTC
openSUSE-SU-2020:0716-1: An update that solves two vulnerabilities and has 8 fixes is now available.

Category: security (moderate)
Bug References: 1114592,1135254,1141897,1142649,1142654,1148517,1149145,1149995,1152590,1167898
CVE References: CVE-2019-14250,CVE-2019-15847
Sources used:
openSUSE Leap 15.1 (src):    cross-nvptx-gcc9-9.3.1+git1296-lp151.2.1, gcc9-9.3.1+git1296-lp151.2.2
Comment 11 Swamp Workflow Management 2020-07-17 22:20:25 UTC
openSUSE-RU-2020:0980-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1149995,1152590,1167898
CVE References: 
Sources used:
openSUSE Leap 15.2 (src):    cross-nvptx-gcc9-9.3.1+git1296-lp152.2.3.1, gcc9-9.3.1+git1296-lp152.2.3.1, gcc9-testresults-9.3.1+git1296-lp152.2.3.1
Comment 12 Swamp Workflow Management 2020-10-20 13:17:12 UTC
SUSE-RU-2020:1226-2: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1149995,1152590,1167898
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    gcc9-9.3.1+git1296-1.6.1
SUSE Linux Enterprise Server 15-LTSS (src):    gcc9-9.3.1+git1296-1.6.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    gcc9-9.3.1+git1296-1.6.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    gcc9-9.3.1+git1296-1.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Richard Biener 2022-03-22 13:01:02 UTC
Should be fixed.